//
// Created by lukas on 06.12.20.
//

#ifndef PUMPENSTEUERUNG_GENERALINFOSERVICE_H
#define PUMPENSTEUERUNG_GENERALINFOSERVICE_H

#include <ESP8266WiFi.h>
#include <ESPAsyncTCP.h>

#include <ArduinoJson.h>
#include <AsyncJson.h>
#include <ESPAsyncWebServer.h>

#define MAX_FEATURES_SIZE 256
#define GENERALINFO_SERVICE_PATH "/rest/generalinfo" // set the api backend path

class GeneralInfoService {
public:
    GeneralInfoService(AsyncWebServer* server);

    /**
     * sets the last time when the pump was on
     * @param lastPumpTime pump time in ms
     */
    void setlastPumpTime(uint32_t lastPumpTime);

    /**
     * sets the last time of a water outage
     * @param lastWaterOutage last wateroutage time in ms
     */
    void setlastWaterOutage(uint32_t lastWaterOutage);

    /**
     * sets the duration of the last pump cycle
     * @param lastPumpDuration duration in ms
     */
    void setPumpDuration(uint32_t lastPumpDuration);

private:
    void reply(AsyncWebServerRequest* request);

    unsigned long lastPumpTime, lastWaterOutage, lastPumpDuration;

};


#endif //PUMPENSTEUERUNG_GENERALINFOSERVICE_H
